 html {
    overflow-x: hidden;
    overflow-y: scroll !important;
    max-width: 100%;
    max-height: 100%;
    line-height: 1.5;
    user-select: none;
  }

  body {
	  
    font-family: "Roboto", sans-serif; 
    margin: 4px;
    background: #222;
    color: #DDD;  
    opacity: 0;             /* Invisible at first */
    transition: opacity .5s ease-in-out; /* Smooth fade */
  }
    body.loaded {
    opacity: 1;             /* Fully visible */
    background: #222;       /* Your normal background color */
  }

  .game {

    max-width: 900px;
    margin: auto;
    margin-top: 77px; 
  }

#toggleStatsBtn {
    cursor: pointer;             /* makes it clickable */
    font-size: 25px;             /* adjust size */
    background: #000;            /* no button background */
    border: 2px solid #CC44CC;                /* no border */
    padding: 0px;                /* a little breathing room */
    margin-top: 4px;                   /* reset */
	margin-right: 8px;  
    display: inline-block;
    user-select: none;           /* prevents text selection */
    transition: transform 0.15s ease, filter 0.3s ease;
    z-index: 1111;
    position: fixed;  
    right: 0px;                 /* not touching the edge */
    top: 0px;
    filter: brightness(1);     /* darker look */
	border-radius: 50%;

	width: 40px;
	height:40px;
	color: #CC44CC;
}

	/* hover effect */
	#toggleStatsBtn:hover {

		transform: scale(1.1);
		filter: brightness(1);  /* darkens the emoji */
	}

	/* active/pressed effect */
	#toggleStatsBtn:active {

		transform: scale(0.95); 
				filter: brightness(1);  /* darkens the emoji */
	}

  button {
    text-align: center; 
    padding: 10px 12px;
    margin: 1%;
    font-size: 22px;
    font-weight: bold;
    cursor: pointer;
    background: #111;
    color: #BBB;
    border: 1px solid #666;
    border-radius: 12px;
    transition: transform 0.3s ease, background-color 0.3s ease, opacity 0.3s ease;
  }
  button:disabled {
    background: #111;
    color: #BBB;
    cursor: not-allowed;
    border: 1px solid #666;
  }
  button:hover:not(:disabled) {
    border: 1px solid #FFF;
    color: #FFF;     
  } 
  button:active, .pressed {
    transform: scale(0.9) !important;
  }

  /* states */
  button.correct {
    background-color: #2e8b57 !important; /* green */
    color: #fff !important;
    border: 1px solid #fff !important;
  }
  button.incorrect {
    background-color: #8b0000 !important; /* red */
    color: #fff !important;
    border: 1px solid #fff !important;
  }

  .wide2 { width: 47%; margin: 1%; }  
  .wide1 { width: 95%; }  
  .buttonNumber { width: 51px; margin: 0px; padding: 10px 0px; }  

  .feedback {
    text-align: center;
    align-items: center;
    margin: 10px;
    font-weight: bold;
    font-size: 18px;
    min-height: 26px;
    transition: opacity 0.3s ease-in-out;
  }

  .chapterReveal {
    margin: 3px 0;
    padding: 8px;
    border-top: 1px solid #555;
    border-bottom: 1px solid #555;
    padding-top: 12px;
    white-space: pre-wrap;
    font-size: 22px;
    font-family: "Crimson Pro", serif;
    font-weight: 100;
    opacity: 1;
    transition: opacity 0.4s ease-in-out;
    border-radius: 7px;
  }
  .questionArea  {
    text-align: center;
    align-items: center;
    font-weight: 400;
    font-size: 23px;
    min-height: 26px;
    transition: opacity 0.3s ease-in-out;
  }

  .bibleInfo {
    margin: 3px 0;
    padding: 8px;
    padding-top: 14px;
    padding-bottom: 70px;
    white-space: pre-wrap;
    font-size: 18px;
    font-family: "Crimson Pro", serif;
    font-weight: 400;
    opacity: .9;
    transition: opacity 0.4s ease-in-out;
    border-radius: 7px;
    color: #ddd;
  }

  .chapterReveal.fade-out {
    opacity: 0;
  }

  .verse {
    margin: 4px 0;
    text-align:  center;
    font-family: "Crimson Pro", serif;
    font-weight: 100;
    font-style:  normal;
    font-size:   18px;
    color:       #FFF;
  }

  .chapter-buttons button, .book-buttons button {
    margin: 3px;
    min-width:40px;
  }

  .lives {
    position: fixed;
    top: 2px;
    left: 4px;
    font-size: 16px;
    margin: 3px 0;
    z-index: 11;
    color: #FF77FF;
  }

  .bibleEvent {
    position: fixed;  
    top: 0px;
    right: 0px;
    align-items: center;
    text-align: center;
    width: 100%;
    padding-top: 0px;
    padding-bottom: 2px;
    height: 48px;
    color: white;
    font-family: Roboto, sans-serif;
    font-size: 29px;
    font-weight: 400;
    z-index: 10;
	border-bottom: 1px solid #555;
    box-shadow: 0px 7px 10px 0px #222;    
    background-color: rgba(0,0,0, .65);  
    -webkit-backdrop-filter: blur(12px);
    backdrop-filter: blur(12px);
  }

  .progress-container {
    position: fixed;
    top: 48px;
    left: 0;
    width: 100%;
    height: 2px;
    z-index: 30;
  }
  .progress-bar {
    height: 100%;
    background: #FF77FF;
    width: 100%;
    transition: width 1.0s ease;
    border-bottom: 1px solid #000;
  }

  .percent { 
    position: fixed; 
    text-align: left;
    top: 29px;
    left: 6px;
    font-size: 12px;
    width: 100%; 
    height: 14px; 
	  font-weight: bold;
    color: #CC44CC;
    z-index: 27;

  } 
  
   .rewardProgress {
    position: fixed;  
	text-align: center;
    width: 100%; 	
	height: 43px; 
    bottom: 0px;
    color: #CCC; 
    transition: width 1.0s ease;
    border-top: 1px solid #3;
    z-index: 131;
	opacity: 1; 
	padding-top: 5px; 
    background-color: #2F2F2F;  
	filter: brightness(.75); 

  }
  
  
#statsPage {
  display: flex;              /* activate flexbox */
  flex-direction: column;     /* stack charts vertically */
  justify-content: center;    /* center vertically */
  align-items: center;        /* center horizontally */
  min-height: 100vh;          /* take full page height */
  padding: 49px 0;            /* breathing room */
  box-sizing: border-box;
}



#allCharts {

  flex-direction: column;
  align-items: center;        /* each chart centered */
  width: 100%;
  
  
}
#h1 {
  position: relative;
  text-align: left;              /* center the text */
  margin: 0px auto 8px auto;        /* center with auto margins */
  max-width: 900px;                /* match chart width */
  font-family: "Roboto", sans-serif;
  font-size: 24px;	
  font-weight: 400;
  color: #DDD;
  border-bottom: 1px solid #555;
  height: 30px;
  padding-left: 1px;                  /* give it some breathing room */
  z-index:1;
}
h2 {
  position: relative;
  text-align: left;              /* center the text */
  margin: 0px auto 8px auto;        /* center with auto margins */
  max-width: 900px;                /* match chart width */
  font-family: "Roboto", sans-serif;
  font-size: 24px;	
  font-weight: 400;
  color: #DDD;
  border-bottom: 1px solid #555;
  height: 30px;
  padding-left: 1px;                  /* give it some breathing room */
  z-index:1;
}
h3 {
  position: relative;
  text-align: right;              /* center the text */
  margin: 0px auto 8px auto;        /* center with auto margins */
  max-width: 900px;                /* match chart width */
  font-family: "Roboto", sans-serif;
  font-size: 20px;	
  font-weight: 400;
  color: #888;
  height: 0px;
  padding-right: 10px;    
  top: -35px;                  /* give it some breathing room */
  z-index:1;
}

  .chart-wrapper {
  height: 89px;  
  width: 85%;
  max-width: 900px;
  margin: -1px auto -5px auto;
  padding-top: 2px;
  padding-left: 25px;
  padding-bottom: 5px;	
  display: flex;
  justify-content: center;
  align-items: center;

  }
canvas {
  width:  100% !important;
  height: 100% !important;
}

.stars {
	
  font-size: .85em;   /* half the size of the h2 text */
  vertical-align: middle; /* keep them aligned nicely */
  position: relative;
  top: -3px;  

}